.storycards {
  $parent: &;
  $col-width: 78px;
  $gutter-width: 24px;
  $box-border-radius: 10px;
  $box-padding-mobile: 1.5rem;

  &__card {
    position: relative;

    .cms-edit {
      padding: 10px 0;
      position: absolute;
      right: 20px;
      top: 10px;
      z-index: 999;
    }

    .cta {
      width: 100%;
      @include breakpoint($medium) {
        width: auto;
      }
    }

    &__inner,
    &__inner.quote {
      margin: $global-padding-mobile 0;
      border-radius: $box-border-radius;
      padding: $box-padding-mobile;
      position: relative;
      background-size: cover;
      @include breakpoint($medium) {
        margin: $gutter-width/2;
        height: 270px;
      }
      @include breakpoint($large) {
        padding: $global-padding-box-desktop;
      }
    }
    @include breakpoint($large) {
      &__top-wrapper,
      &__inner.quote {
        padding-right: 43px;
      }
    }

    &__content-wrapper {
      position: relative;
      display: flex;
      flex-direction: column;
      height: 100%;
    }

    &__top-wrapper {
      flex-grow: 1;
    }
    &__title {
      @include font-archer-book;
      font-size: 24px;
      line-height: 26px;
    }
    &__background img {
      border-radius: $box-border-radius;
    }
    &__video {
      display: block;
      text-align: center;
      margin-top: 32px;
      &:hover {
        text-decoration: underline;
      }
      .cta {
        margin: 0 0 32px;
        width: auto;
      }
      p a {
        border-bottom: none;
      }
    }
    &__icon {
      img {
        max-height: 100%;
        height: auto;
        max-width: 100%;
        width: auto;
        display: block;
      }
    }
    &.storycards--icon {
      @include breakpoint($medium) {
        .storycards__card__top-wrapper {
          flex: 1 1 0;
        }
        .storycards__card__bottom-wrapper {
          flex: 1 1 0;
          min-height: 0;
        }
      }
    }
    &.storycards--quote {
      @include breakpoint($medium) {
        .container.wrapper {
          height: 100%;
        }
        .quote__copy {
          height: 100%;
        }
        blockquote {
          height: 100%;
          padding-bottom: 70px;
        }
        footer {
          position: absolute;
          bottom: 0;
          left: 0;
		  right: 0;
        }
      }
    }
    &.storycards--tall {
      #{$parent}__card__inner {
        @include breakpoint($medium) {
          height: 540px;
        }
      }
      #{$parent}__card__title {
        font-size: 30px;
        line-height: 30px;
        @include breakpoint($medium) {
          font-size: 38px;
          line-height: 40px;
          @include font-archer-light;
        }
      }
    }
    &.storycards--wide {
      @include breakpoint($medium) {
        max-width: none;
      }
      #{$parent}__card__inner {
        height: auto;
      }
    }
    &.storycards--background {
      @include breakpoint($small) {
        .storycards__card__inner {
          padding-bottom: 84%;
        }
        &.storycards--tall {
          .storycards__card__inner {
            padding-bottom: 166%;
          }
        }
        .storycards__card__content-wrapper {
          position: absolute;
          top: $box-padding-mobile;
          left: $box-padding-mobile;
          right: $box-padding-mobile;
          bottom: $box-padding-mobile;
          height: auto;
        }
      }
    }
    &.storycards--image {
      #{$parent}__card__top-wrapper {
        padding: $box-padding-mobile;
        @include breakpoint($large) {
          padding: $global-padding-box-desktop;
        }
      }
      #{$parent}__card__inner {
        padding: 0;
        overflow: hidden;
      }
      #{$parent}__card__content-wrapper {
        height:auto;
      }
      #{$parent}__card__image {
        border-radius: 10px;
        overflow: hidden;
        padding-top: 10px;
        display: block;
        img {
          width: 100%;
          vertical-align: bottom;
        }
      }
      #{$parent}__card__title {
        font-size: 30px;
        line-height: 30px;
        @include breakpoint($large) {
          font-size: 38px;
          line-height: 40px;
        }
      }

      &:not(#{$parent}--tall):not(#{$parent}--wide)
      {
        #{$parent}__card__image{
          @include breakpoint($medium){
            display:none;
          }
        }

        #{$parent}__card__inner .cta
        {@include breakpoint($medium){
          margin: -1rem 1.5rem 1.5rem 1.5rem;}
        }

        #{$parent}__card__title{
          @include breakpoint($medium){
            font-size: 26px;
            line-height: 1.1;
          }
        }
      }

      &#{$parent}--tall
      {
        @include breakpoint($medium){
          #{$parent}__card__inner .cta{
            position: absolute;
    bottom: 1.5rem;
    left: 1.5rem;
    right: 1.5rem;
    width: auto;
          }
        }
      }

      @include breakpoint($small){
        .storycards__card__inner .cta {
          position: absolute;
          bottom: $box-padding-mobile;
          left: $box-padding-mobile;
          right: $box-padding-mobile;
          width: auto;
        }
      }
    }
    @include breakpoint($medium) {
      &.storycards--wide.storycards--image {
        #{$parent}__card__content-wrapper {
          max-width: 100%;
        }
        #{$parent}__card__inner {
          display: flex;
          flex-direction: column;
          align-items: flex-start;
          min-height: 270px;
        }
        #{$parent}__card__top-wrapper {
          padding-right: 370px;
          height: 100%;
          flex-grow: 1;
          padding-bottom: 0;
          max-width: 100%;
        }
        #{$parent}__card__image {
          position: absolute;
          top: 0;
          right: 0;
          bottom: 0;
          left: auto;
          border-radius: 10px;
          overflow: hidden;
          padding-left: 10px;
          padding-top: 0;
          max-width: 370px;
          max-height: none;
          flex-grow: 0;
          text-align: right;
          img {
            height: 100%;
            width: auto;
            max-width: none;
          }
        }
        .storycards__card__inner .cta {
          width: auto;
          margin: $box-padding-mobile;
          @include breakpoint($large) {
            margin: $global-padding-box-desktop;
          }
        }
      }
    }
  }
}
